Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81354 - java 1.3.1_06 always hangs on exit
Summary: java 1.3.1_06 always hangs on exit
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: glibc
Version: phoebe
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2003-01-08 14:30 UTC by Daniel Resare
Modified: 2016-11-24 15:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-09 00:26:41 UTC


Attachments (Terms of Use)

Description Daniel Resare 2003-01-08 14:30:25 UTC
Description of problem:

The java 1.3.1_06 (the latest patchlevel available from sun) runtime doesn't
doesn't exit propely on phoebe.

This problem does not affect java-1.4.1_01, however it is a big problem since
lots of products and code are dependant on a working java-1.3.x environment

Version-Release number of selected component (if applicable):
glibc-2.3.1-21

How reproducible:
always

Steps to Reproduce:
1. download the jdk1.3.1_06 rpm from java.sun.com
2. install the rpm
3. run for example '/usr/java/jdk1.3.1_06/bin/java -version'
    
Actual results:
the process doesn't exit, 'killall java' doesn't help, but 'killall -KILL java'
works.

Expected results:
version infomation then exit

Additional info:
If i fire up the java binary in gdb and ctrl-c when the process hangs i always
end up here:

#0  0x4003f45c in siglongjmp () from /lib/i686/libpthread.so.0
#1  0x401a517b in Monitor::wait () from jre/lib/i386/client/libjvm.so
#2  0x401eb899 in VMThread::execute () from jre/lib/i386/client/libjvm.so
#3  0x401ddcb4 in Threads::destroy_vm () from jre/lib/i386/client/libjvm.so
#4  0x40156c8d in jni_DestroyJavaVM () from jre/lib/i386/client/libjvm.so
#5  0x080493b5 in main ()

Comment 1 Jakub Jelinek 2003-01-09 00:26:41 UTC
It is JDK 1.3.1 bug. You can use LD_ASSUME_KERNEL=2.2.5 in the environment
to workaround this.


Note You need to log in before you can comment on or make changes to this bug.